LMS API Documentation v19.01.0

Data Fields
lms_dev_info_t Struct Reference
Version and update functions

`#include <LimeSuite.h>`

## Data Fields
char | deviceName [32]
| The display name of the device.
char | expansionName [32]
| The display name of the expansion card.
char | firmwareVersion [16]
| The firmware version as a string.
char | hardwareVersion [16]
| The hardware version as a string.
char | protocolVersion [16]
| The protocol version as a string.
uint64_t | boardSerialNumber
| A unique board serial number.
char | gatewareVersion [16]
| Gateware version as a string.
char | gatewareTargetBoard [32]
| Which board should use this gateware.

## Detailed Description

Device information structure

Definition at line 1264 of file LimeSuite.h.

The documentation for this struct was generated from the following file:

- /build/limesuite/src/LimeSuite-19.01.0/src/lime/LimeSuite.h